/**
 * This is an auxiliary file that contains two routines for measuring and printing time of computation.
 */ 

/// This function is used to start the clock.
std::chrono::time_point<std::chrono::system_clock> tic(const char message[]){
  auto start = std::chrono::system_clock::now();
  std::time_t t = std::chrono::system_clock::to_time_t(start);
  std::cout << message << "\n Started: " << std::ctime(&t) << std::endl;
  return start;
}

/// This function is used to stop the clock and print time of computation.
void tac(std::chrono::time_point<std::chrono::system_clock>& start){
  auto end = std::chrono::system_clock::now();
  std::chrono::duration<double> elapsed_seconds = end-start;  
  auto t = std::chrono::system_clock::to_time_t(end);
  std::cout << "Finished: " << std::ctime(&t)
            << "elapsed time: " << elapsed_seconds.count()/60. << " minutes\n";    
}
